fullnameOverride: monitoring-stack

# ========================
# PROMETHEUS
# ========================
prometheus:
  ingress:
    enabled: true
    ingressClassName: traefik
    hosts:
      - prometheus.dvirlabs.com
    paths:
      - /
    pathType: Prefix
    annotations:
      traefik.ingress.kubernetes.io/router.entrypoints: websecure
      traefik.ingress.kubernetes.io/router.tls: "true"

  prometheusSpec:
    replicas: 1

    retention: 10d

    storageSpec:
      volumeClaimTemplate:
        spec:
          storageClassName: nfs-client
          accessModes: ["ReadWriteOnce"]
          resources:
            requests:
              storage: 20Gi

    enableAdminAPI: true

    additionalScrapeConfigs: []

# ========================
# GRAFANA
# ========================
grafana:
  enabled: true

  adminUser: admin
  adminPassword: admin123

  persistence:
    enabled: true
    storageClassName: nfs-client
    accessModes: ["ReadWriteOnce"]
    size: 5Gi

  ingress:
    enabled: true
    ingressClassName: traefik
    hosts:
      - grafana.dvirlabs.com
    path: /
    annotations:
      traefik.ingress.kubernetes.io/router.entrypoints: websecure
      traefik.ingress.kubernetes.io/router.tls: "true"

# ========================
# ALERTMANAGER
# ========================
alertmanager:
  enabled: true

  ingress:
    enabled: true
    ingressClassName: traefik
    hosts:
      - alertmanager.dvirlabs.com
    paths:
      - /
    pathType: Prefix
    annotations:
      traefik.ingress.kubernetes.io/router.entrypoints: websecure
      traefik.ingress.kubernetes.io/router.tls: "true"

  alertmanagerSpec:
    storage:
      volumeClaimTemplate:
        spec:
          storageClassName: nfs-client
          accessModes: ["ReadWriteOnce"]
          resources:
            requests:
              storage: 5Gi

# ========================
# EXPORTERS
# ========================
nodeExporter:
  enabled: true

kubeStateMetrics:
  enabled: true

# ========================
# OPERATOR
# ========================
prometheusOperator:
  enabled: true

# ========================
# RULES
# ========================
defaultRules:
  create: false